Update a subscription

View as MarkdownOpen in Claude
This allows you to update a subscription. For example you can temporarily disable or enable a subscription if you wish.

Authentication

AuthorizationToken

Header authentication of the form Token <token>

Path parameters

subscription_idstringRequired
Subscription id

Request

This endpoint expects an object.
event_typestringOptional
The name of the event type associated to the subscription.
target_urlstringOptional
The URL that the subscription will notify when your event type is triggered.
is_enabledbooleanOptional
Whether the subscription is enabled or not.

Response

Updated
event_typestring
The name of the event type associated to the subscription.
target_urlstring
The URL that the subscription will notify when your event type is triggered.
workspace_idstring
The ID of the workspace we will create the subscription in.
idstring or nullRead-only
The ID of the subscription.
is_enabledboolean or null
Whether the subscription is enabled or not.

Errors